<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for transferform in transferform package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  transferform module in transferform package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Transferform',
    'names'         => 'Transferforms',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Transferforms',
        'sub'   => 'Transferforms',
        'list'  => 'List of transferforms',
        'edit'  => 'Edit transferform',
        'create'    => 'Create new transferform'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'company_type'        => ['TPL','ENB','TNL','OTHERS'],
            'to_category'         => ['HARVESTER','GENERAL WORKER','FIELD WORKER','STAFF EMPLOYEE'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company id',
        'employee_id'                => 'Please enter employee id',
        'company_type'               => 'Please select company type',
        'from_division_code'         => 'Please enter from division code',
        'from_gang_number'           => 'Please enter from gang number',
        'from_designation'           => 'Please enter from designation',
        'to_division_code'           => 'Please enter to division code',
        'to_gang_number'             => 'Please enter to gang number',
        'to_designation'             => 'Please enter to designation',
        'to_category'                => 'Please select to category',
        'purpose'                    => 'Please enter purpose',
        'effective_month'            => 'Please select effective month',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company id',
        'employee_id'                => 'Employee id',
        'company_type'               => 'Company type',
        'from_division_code'         => 'From division code',
        'from_gang_number'           => 'From gang number',
        'from_designation'           => 'From designation',
        'to_division_code'           => 'To division code',
        'to_gang_number'             => 'To gang number',
        'to_designation'             => 'To designation',
        'to_category'                => 'To category',
        'purpose'                    => 'Purpose',
        'effective_month'            => 'Effective month',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company id', 'data-column' => 1, 'checked'],
        'employee_id'                => ['name' => 'Employee id', 'data-column' => 2, 'checked'],
        'from_division_code'         => ['name' => 'From division code', 'data-column' => 3, 'checked'],
        'from_designation'           => ['name' => 'From designation', 'data-column' => 4, 'checked'],
        'to_division_code'           => ['name' => 'To division code', 'data-column' => 5, 'checked'],
        'to_designation'             => ['name' => 'To designation', 'data-column' => 6, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Transferforms',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
