<?php

// API routes  for transferform
Route::prefix('{guard}/transferform')->group(function () {
    Route::get('transferform/form/{element}', 'TransferformAPIController@form');
    Route::resource('transferform', 'TransferformAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for transferforms
            Route::prefix('{guard}/transferform')->group(function () {
                Route::get('transferform/form/{element}', 'TransferformAPIController@form');
                Route::apiResource('transferform', 'TransferformAPIController');
            });
            // Public routes for transferforms
            Route::get('transferform/Transferform', 'TransferformPublicController@getTransferform');
        }
    );
}

