<?php

// web routes  for transferform
Route::prefix('{guard}/transferform')->group(function () {
    Route::resource('transferform', 'TransferformResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TransferformResourceController');
            });
            // Public routes for pages
            Route::get('transferforms/', 'TransferformPublicController@index');
            Route::get('transferforms/{slug?}', 'TransferformPublicController@show');
        }
    );
}

