<?php

namespace Survey\Transferform\Repositories\Eloquent;

use Survey\Transferform\Interfaces\TransferformRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TransferformRepository extends BaseRepository implements TransferformRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('survey.transferform.transferform.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('survey.transferform.transferform.model.model');
    }
}
